/**
 * @(#)IApplication.java
 *
 * Copyright 2000 by Intelligent Technology Inc. All rights reserved.
 */
package jp.co.iti.fagot.doc;

import javax.swing.JFrame;

/**
 * アプリケーション
 *
 * @author  福島康治
 * @version 1.01 2001/10/23
 */
public interface IApplication {

	//## メソッド #####################################################
	/**
	 * 初期化
	 * @param frame アプリケーションフレーム
	 */
	public boolean initApplication(JFrame frame) ;

	/**
	 * 終了
	 */
	public void exitApplication() ;

	/**
	 * 開く
	 * @param szFile ファイル名
	 */
	public boolean open(String szFile);

	/**
	 * 保存
	 */
	public boolean save();

	/**
	 * 名前を付けて保存
	 * @param szFile ファイル名
	 */
	public boolean saveAs(String szFile);

	/**
	 * 保存可能か問い合わせ
	 */
	public boolean canSave();

	/**
	 * ファイルが更新されたか問い合わせ
	 */
	public boolean isModified();

	/**
	 * ファイル名の取得
	 * @return ファイル名
	 */
	public String getFileName();
}
